package net.confidentialfiles.OpenReference;

import java.sql.*;
import java.util.*;
import net.confidentialfiles.DBUtils.*;

public class CategorySelect {

  private Vector leafCats, nonLeafCats;

  public CategorySelect() throws Exception {
    leafCats = new Vector();
    nonLeafCats = new Vector();
  }

  public void resetAll() {
    leafCats = new Vector();
    nonLeafCats = new Vector();
  }

  public void resetNonLeafCats() {
    nonLeafCats = new Vector();
  }

  public Vector getLeafCats() {
    return leafCats;
  }

  public Vector getNonLeafCats() {
    return nonLeafCats;
  }

  public void addLeafCats(String[] newLeafCats) {
    boolean flag;
    for (int i=0; i<newLeafCats.length; i++) {
      flag = true;
      for (int j=0; j<leafCats.size(); j++) {
        if ( (leafCats.elementAt(j)).equals(newLeafCats[i]) )
          flag = false;
      }
      if (flag) leafCats.add( newLeafCats[i] );
    }
    return;
  }

  public void addLeafCat(String newLeafCat) {
    boolean flag;
    flag = true;
    for (int j=0; j<leafCats.size(); j++) {
      if ( (leafCats.elementAt(j)).equals(newLeafCat) )
        flag = false;
    }
    if (flag) leafCats.add( newLeafCat );
    return;
  }

  public void deleteLeafCats(String[] trashLeafCats) {
    boolean flag;
    int index = 0;
    for (int i=0; i<trashLeafCats.length; i++) {
      flag = false;
      for (int j=0; j<leafCats.size(); j++) {
        if ( (leafCats.elementAt(j)).equals(trashLeafCats[i]) ) {
          flag = true;
          index = j;
        }
      }
      if (flag) leafCats.remove( index );
    }
    return;
  }

  public void setNonLeafCats(String[] newNonLeafCats) {
    nonLeafCats = new Vector();
    for (int i=0; i<newNonLeafCats.length; i++) {
      nonLeafCats.add( newNonLeafCats[i] );
    }
    return;
  }

  public void addNonLeafCat(String newNonLeafCat) {
    boolean flag;
    flag = true;
    for (int j=0; j<nonLeafCats.size(); j++) {
      if ( (nonLeafCats.elementAt(j)).equals(newNonLeafCat) )
        flag = false;
    }
    if (flag) nonLeafCats.add( newNonLeafCat );
    return;
  }

}

