package net.confidentialfiles.OpenReference;

import java.util.*;
import java.net.*;
import java.io.*;
import java.sql.*;
import javax.servlet.http.*;
import net.confidentialfiles.DBUtils.*;


public class Transaction {

  public Authenticate auth;
  public CategorySelect categoryselect;
  public String urlstr;
  public Hashtable para;


  public Transaction () {
    try {
      auth = new Authenticate();
      categoryselect = new CategorySelect();
      urlstr = "";
      para = new Hashtable();
//      para.put("Page", "-1");
//      para.put("cat_id", "-1");
    } catch ( Exception e) {
    }
  }

  public void reset (Connection conn) throws Exception {
    auth = new Authenticate();
    categoryselect = new CategorySelect();
    return;
  }

  public void setURL (HttpServletRequest req) throws Exception {
    urlstr = new String( HttpUtils.getRequestURL( req ) );
    String paraname, paravalue;
    Enumeration e;
    para = new Hashtable();
//    para.put("Page", "-1");
//    para.put("cat_id", "-1");
    for (e=req.getParameterNames(); e.hasMoreElements(); ) {
     paraname = ((String)e.nextElement());
     paravalue = req.getParameter( paraname );
     para.put(paraname, paravalue);
   }
  }

  public String reDirect () throws Exception {
    String result = urlstr + "?";
    if ( para != null ) {
      for (Enumeration e=para.keys(); e.hasMoreElements(); ) {
        String paraname =  (String) e.nextElement();
        String paravalue = (String) para.get( paraname );
        result = result + paraname + "=" + URLEncoder.encode(paravalue) + "&";
      }
    }
    urlstr = "RecentReference.jsp";
    para = new Hashtable();
    return result;
  }

}
