<%@ page import="java.util.*" %>
<%@ page import="java.io.*" %>
<%@ page import="net.confidentialfiles.OpenReference.*" %>
<%@ page import="net.confidentialfiles.DBUtils.*" %>

<jsp:useBean id="trans" class="net.confidentialfiles.OpenReference.Transaction" scope="session" />

<%
    String userID = trans.auth.getCurrentUserID();
    Hashtable h = User.getUser( userID );

    String referenceID = request.getParameter("ReferenceID");
    Hashtable d = Reference.getReference( referenceID );
    if ( !(userID.equals(d.get("UserID"))) ) {
      trans.setURL( request );
%>

<jsp:forward page="Login.jsp" />

<%
    } else {
%>

<html>
<head>
  <title>OpenReference: Make changes to a reference  </title>
</head>


<body bgcolor="white">

<%@ include file="Bars/Top.jsp" %>

<p>Hello <%=HTMLUtil.fixNullString((String) h.get("FirstName"))%>
<%=HTMLUtil.fixNullString((String) h.get("LastName"))%>, 
you can change your post.

<p>Fields with <font  COLOR="red">*</FONT> are required.

<p><form action="ChangeReferenceHandler.jsp" method="POST">
<input type=hidden name="UserID" value="<%=userID%>">
<input type=hidden name="ReferenceID" value="<%=referenceID%>">
<p><table><tr><td><input type=submit value="Enter"></input>
<input type=reset value="Clear"></input></td></tr></table>

<p><input name=mode type=radio value=plain checked> Plain 
<input name=mode type=radio value=html> HTML text. 

<p><table width="95%" bgcolor=eeeeee><tr bgcolor=a0b8c8> <td>
<b><i>Basic information</i></b>
</td></tr></table>

<p>URL<font  COLOR="red">*</FONT>:
<textarea cols=60 rows=1 name="URL"><%=HTMLUtil.fixNullString((String)d.get("URL"))%></textarea>
<p>Title<font  COLOR="red">*</FONT>:
<textarea cols=60 rows=1 name="Name"><%=HTMLUtil.fixNullString((String)d.get("Name"))%></textarea>
<p>Author<font  COLOR="red">*</FONT>:
<textarea cols=60 rows=1 name="Author"><%=HTMLUtil.fixNullString((String)d.get("Author"))%></textarea>
<p>BibCode<font  COLOR="red">*</FONT>:
<textarea cols=60 rows=1 name="BibCode"><%=HTMLUtil.fixNullString((String)d.get("BibCode"))%></textarea>

<!-- unsafe text handling
<p>URL: <input type=text name="URL" 
               value="<%=HTMLUtil.fixNullString((String)d.get("URL"))%>">
<p>Name: <input type=text name="Name" 
                value="<%=HTMLUtil.fixNullString((String)d.get("Name"))%>">
<p>Author: <input type=text name="Author" 
                  value="<%=HTMLUtil.fixNullString((String)d.get("Author"))%>">
<p>BibCode: <input type=text name="BibCode" 
             value="<%=HTMLUtil.fixNullString((String)d.get("BibCode"))%>">
---------------------------->

<p>Memo:
<p><textarea cols=80 rows=10 name="Memo"><%=HTMLUtil.fixNullString((String)d.get("Memo"))%></textarea>

<br><br>
<p><table width="95%" bgcolor=eeeeee><tr bgcolor=a0b8c8> <td>
<b><i>Access Control</i></b>
</td></tr></table>
<p>This reference is accessible by:
<p><input type=radio name="View" value="AllUsers"
<% if ( "AllUsers".equals(d.get("View")) ) { %>
   checked> All Users </input>
<% } else { %>
   > All Users </input>
<% } %>
<p><input type=radio name="View" value="Myself"
<% if ( "Myself".equals(d.get("View")) ) { %>
   checked> Just Myself </input>
<% } else { %>
   > Just Myself </input>
<% } %>
<p><input type=radio name="View" value="UserList"
<% if ( "UserList".equals(d.get("View")) ) { %>
   checked> A List of selected users </input>
<% } else { %>
   > A List of selected users </input>
<% } %>
<p>If you choose <i>A List of selected users</i>, enter the usernames seperated by comas below:
<p><input type=text name="UserList" value="<%=HTMLUtil.fixNullString((String)d.get("UserList"))%>"></input>

<p><table><tr><td><input type=submit value="Enter"></input>
<input type=reset value="Clear"></input></td></tr></table>
</form>

<%@ include file="Bars/Bottom.jsp" %>

</body></html>

<%
    }
%>

