<%@ page import="java.util.*" %>
<%@ page import="java.net.*" %>
<%@ page import="java.io.*" %>
<%@ page import="net.confidentialfiles.OpenReference.*" %>
<%@ page import="net.confidentialfiles.DBUtils.*" %>

<jsp:useBean id="trans" class="net.confidentialfiles.OpenReference.Transaction" scope="session" />


<%

//The basic idea here is to get the big list of references "v" first and then
//get an associated vector for the Users for each reference "uv".
//Using the reference and user information, we can determine which reference 
//is viewable to the current viewer. We construct a new reference list
//"ref_v" and a new associated user list "user_v" for the viewable
//list and then display it by page.

     int i, pageno;
     Hashtable h, userh;
     String userID, linkFileName, viewerUserList, posterUserList;
     StringBuffer strbuf;
     Vector v, uv, ref_v, user_v, ids;
     boolean viewerOK = true, posterOK = true;

     try {
       pageno = (new Integer (request.getParameter("Page"))).intValue();
     } catch (Exception e) {
       pageno = 0;
     }

     Hashtable currentUser = (Hashtable) User.getUser(trans.auth.getCurrentUserID());

     if ( "index".equals( request.getParameter("Type") ) ) {
       v = Reference.getAllReferences();
       linkFileName = "ReferenceIndex.jsp?";
     } else if ( "recent".equals( request.getParameter("Type") ) ) {
       v = Reference.getRecentReferences();
       linkFileName = "RecentReference.jsp?";
     } else if ( "category".equals( request.getParameter("Type") ) ) {
       String cat_id = request.getParameter("cat_id");
       v = CategoryReference.getReferences( cat_id );
       linkFileName = "BrowseCat.jsp?cat_id=" + cat_id + "&";
     } else if ( "search".equals( request.getParameter("Type") ) ) {
       String query = request.getParameter("query");
       v = Reference.search( URLDecoder.decode(query) );
       linkFileName = "Search.jsp?query=" + URLEncoder.encode(query) + "&";
     } else {
       v = new Vector ();
       linkFileName = "WhereAmI.jsp?";
     }

     ids = new Vector();
     for(i=0; i<v.size(); i++) {
       h = (Hashtable) v.elementAt(i);
       userID = (String) h.get("UserID");
       if ( userID == null ) userID= "-1";
       ids.add( userID ); 
     }
     uv = User.getUsers( ids );
%>

<table border=0 cellpadding=4 cellspacing=0 width="100%">

<%
   ref_v = new Vector();
   user_v = new Vector();

   viewerUserList = (String)currentUser.get("UserList");
   if (viewerUserList==null) viewerUserList="";
   for(i=v.size()-1; i>=0; i--) {
     h = (Hashtable) v.elementAt(i);
     userID = (String) h.get("UserID");
     if ( userID == null ) userID= "-1";
//     userh = (Hashtable) User.getUser(userID);
     userh = (Hashtable) uv.elementAt(i);

     if ( (currentUser.get("View")).equals("AllUsers") ) {
       viewerOK = true;
     } else if ( (currentUser.get("View")).equals("Myself") ) {
       viewerOK = false;
       if ( userID.equals(trans.auth.getCurrentUserID()) ) viewerOK = true;
     } else if ( (currentUser.get("View")).equals("UserList") ) {
       viewerOK = false;
       if ( DatabaseUtil.isAMemberOf((String)userh.get("Username"),
            viewerUserList ) ) viewerOK =true;
     }

     posterUserList = (String)h.get("UserList");
     if (posterUserList==null) posterUserList="";
     if ( (h.get("View")).equals("AllUsers") ) {
       posterOK = true;
     } else if ( (h.get("View")).equals("Myself") ) {
       posterOK = false;
       if ( userID.equals(trans.auth.getCurrentUserID()) ) posterOK = true;
     } else if ( (h.get("View")).equals("UserList") ) {
       posterOK = false;
       if ( DatabaseUtil.isAMemberOf((String)userh.get("Username"),
            posterUserList ) ) posterOK =true;
     }

     if ( viewerOK && posterOK ) {
       ref_v.add(h);
       user_v.add(userh);
     }
   }
   int maxpageno = (ref_v.size()) /10;
%>

<!-- Begin ScroolBar  -->
<%
  if ( pageno < 0 ) {
%>
<tr bgcolor="#a0b8c8"><td align=left colspan=2>Single page display</td>
<td align=right><a href="<%=linkFileName%>Page=0">Multiple Pages</a></td></tr>
<%
   } else if ( pageno == 0 && maxpageno == 0 ) {
%>
<tr bgcolor="#a0b8c8"><td align=left colspan=2>Only one page</td>
<td align=right><a href="<%=linkFileName%>Page=-1">Single Page</a></td></tr>
<%
   } else if (pageno == 0) {
%>
<tr bgcolor="#a0b8c8">
<td>Found <%=maxpageno+1%> pages </td>
<td align=center>First page &nbsp;&nbsp;&nbsp;<a href="<%=linkFileName%>Page=<%=pageno+1%>"><img src="../images/right-arrow.gif" border=0 width=14></a></td>
<td align=right><a href="<%=linkFileName%>Page=-1">Single Page</a></td></tr>
</tr>
<%
   } else if (pageno == maxpageno) {
%>
<tr bgcolor="#a0b8c8">
<td>Found <%=maxpageno+1%> pages </td>
<td align=center><a href="<%=linkFileName%>Page=<%=pageno-1%>"><img src="../images/left-arrow.gif" border=0 width=14></a>&nbsp;&nbsp;&nbsp; Last page </td>
<td align=right><a href="<%=linkFileName%>Page=-1">Single Page</a></td></tr>
</tr>
<%
   } else if (pageno > maxpageno) {
%>
<tr><td align=center colspan=3><font color=red>WRONG PAGE NUMBER!!!!</font></td></tr>
<%
   } else {
%>
<tr bgcolor="#a0b8c8">
<td>Found <%=maxpageno+1%> pages </td>
<td align=center><a href="<%=linkFileName%>Page=<%=pageno-1%>"><img src="../images/left-arrow.gif" border=0 width=14></a>&nbsp;&nbsp;&nbsp; Page <%=pageno+1%> &nbsp;&nbsp;&nbsp;<a href="<%=linkFileName%>Page=<%=pageno+1%>"><img src="../images/right-arrow.gif" border=0 width=14></a></td>
<td align=right><a href="<%=linkFileName%>Page=-1">Single Page</a></td></tr>
</tr>
<%
   }
%>
<!-- End ScrollBar  -->

<%
   int maxmessage;
   if (pageno*10+10 > ref_v.size() || pageno < 0) {
     maxmessage = ref_v.size();
   } else {
     maxmessage = pageno*10+10;
   }
   for(i=pageno*10;i<maxmessage;i++) {
     if ( i < 0 ) i = 0;
     h = (Hashtable) ref_v.elementAt(i);
     userh = (Hashtable) user_v.elementAt(i);
%>

<tr bgcolor="#ccccff"><td><%= (String) h.get("PostDate") %></td>
<td align=left> Reference Code:
<a href="<%=HTMLUtil.fixNullString((String)h.get("URL"))%>" target=_fullref>
<%=HTMLUtil.fixNullString((String)h.get("BibCode"))%>
</td>

<td align=right>
<%
       if ( trans.auth.getCurrentUserID().equals( userh.get("UserID") ) ) {
%>
<font color=red><i>Owner</i></font>
<%
       }
%>
Posted by:
<%= HTMLUtil.fixNullString((String) userh.get("FirstName")) %>
<%= HTMLUtil.fixNullString((String) userh.get("LastName")) %></td></tr>

<tr><td colspan=3>
<b>Title:</b>
<a href="ReferenceDetail.jsp?FatherCommentID=0&ReferenceID=<%=(String)h.get("ReferenceID")%>">
<%= HTMLUtil.fixNullString((String) h.get("Name")) %> </a></td></tr>

<tr><td colspan=3>
<b>Authors:</b>
<i><%= HTMLUtil.fixNullString((String) h.get("Author")) %></i></td></tr>

<%
   }
%>

<!-- Begin ScroolBar  -->
<%
  if ( pageno < 0 ) {
%>
<tr bgcolor="#a0b8c8"><td align=left colspan=2>Single page display</td>
<td align=right><a href="ReferenceIndex.jsp?Page=0">Multiple Pages</a></td></tr>
<%
   } else if ( pageno == 0 && maxpageno == 0 ) {
%>
<tr bgcolor="#a0b8c8"><td align=left colspan=2>Only one page</td>
<td align=right><a href="<%=linkFileName%>Page=-1">Single Page</a></td></tr>
<%
   } else if (pageno == 0) {
%>
<tr bgcolor="#a0b8c8">
<td>Found <%=maxpageno+1%> pages </td>
<td align=center>First page &nbsp;&nbsp;&nbsp;<a href="<%=linkFileName%>Page=<%=pageno+1%>"><img src="../images/right-arrow.gif" border=0 width=14></a></td>
<td align=right><a href="<%=linkFileName%>Page=-1">Single Page</a></td></tr>
</tr>
<%
   } else if (pageno == maxpageno) {
%>
<tr bgcolor="#a0b8c8">
<td>Found <%=maxpageno+1%> pages </td>
<td align=center><a href="<%=linkFileName%>Page=<%=pageno-1%>"><img src="../images/left-arrow.gif" border=0 width=14></a>&nbsp;&nbsp;&nbsp; Last page </td>
<td align=right><a href="<%=linkFileName%>Page=-1">Single Page</a></td></tr>
</tr>
<%
   } else if (pageno > maxpageno) {
%>
<tr><td align=center colspan=3><font color=red>WRONG PAGE NUMBER!!!!</font></td></tr>
<%
   } else {
%>
<tr bgcolor="#a0b8c8">
<td>Found <%=maxpageno+1%> pages </td>
<td align=center><a href="<%=linkFileName%>Page=<%=pageno-1%>"><img src="../images/left-arrow.gif" border=0 width=14></a>&nbsp;&nbsp;&nbsp; Page <%=pageno+1%> &nbsp;&nbsp;&nbsp;<a href="<%=linkFileName%>Page=<%=pageno+1%>"><img src="../images/right-arrow.gif" border=0 width=14></a></td>
<td align=right><a href="<%=linkFileName%>Page=-1">Single Page</a></td></tr>
</tr>
<%
   }
%>
<!-- End ScrollBar  -->

</table>

